Page MenuHomePhabricator

Assist de/it/pl/pt/ru-wiki communities in updating their edit-notice systems to stop hidden content showing as "1 notice"
Closed, ResolvedPublic8 Story Points

Event Timeline

tarlocesilion raised the priority of this task from to Needs Triage.
tarlocesilion updated the task description. (Show Details)
tarlocesilion added a subscriber: tarlocesilion.
Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 11 2015, 10:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Aklapper set Security to None.
Krinkle renamed this task from Editnotice dial displays as empty to Editnotices with hidden content shows as "1 notice".Apr 14 2015, 3:18 PM
Krinkle updated the task description. (Show Details)

pl.wp and it.wp seem to be using the same system as en.wp had previously; de.wp has something similar, but slightly different. en.wp's implementation was modified per T91715 to avoid this issue.

matmarex updated the task description. (Show Details)
matmarex added a subscriber: Sunpriat.
Sunpriat updated the task description. (Show Details)May 1 2015, 6:41 AM
Jdforrester-WMF renamed this task from Editnotices with hidden content shows as "1 notice" to Assist pl/it/de/ru/meta-wiki communities in updating their edit-notice systems to stop hidden content showing as "1 notice".May 6 2015, 9:48 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF edited a custom field.
Elitre added a subscriber: Elitre.May 13 2015, 2:21 PM

It affects zh.wiki as well.

Krenair renamed this task from Assist pl/it/de/ru/meta-wiki communities in updating their edit-notice systems to stop hidden content showing as "1 notice" to Assist pl/it/de/ru/zh/meta-wiki communities in updating their edit-notice systems to stop hidden content showing as "1 notice".May 19 2015, 4:56 PM
He7d3r updated the task description. (Show Details)Jun 16 2015, 5:12 PM
He7d3r renamed this task from Assist pl/it/de/ru/zh/meta-wiki communities in updating their edit-notice systems to stop hidden content showing as "1 notice" to Assist de/it/pl/pt/ru/meta-wiki communities in updating their edit-notice systems to stop hidden content showing as "1 notice".Jun 16 2015, 5:18 PM
This comment was removed by He7d3r.
Krenair renamed this task from Assist de/it/pl/pt/ru/meta-wiki communities in updating their edit-notice systems to stop hidden content showing as "1 notice" to Assist dewiki/itwiki/plwiki/ptwiki/ruwiki/enwikibooks/metawiki communities in updating their edit-notice systems to stop hidden content showing as "1 notice".Jun 24 2015, 3:37 PM

Please stop expanding the scope of this task. The task is to help five specific wikis.

Jdforrester-WMF renamed this task from Assist dewiki/itwiki/plwiki/ptwiki/ruwiki/enwikibooks/metawiki communities in updating their edit-notice systems to stop hidden content showing as "1 notice" to Assist de/it/pl/pt/ru-wiki communities in updating their edit-notice systems to stop hidden content showing as "1 notice".Jun 24 2015, 3:38 PM

I'm increasingly convinced that we should go back to handling this correctly in the software.

Krinkle removed Krinkle as the assignee of this task.Jul 22 2015, 1:01 AM

I'm increasingly convinced that we should go back to handling this correctly in the software.

We already changed the software to support the concept of inherited edit notices (e.g. "MediaWiki:Editnotice-0") while retaining the ability for that inherited template to conditionally load an actual edit notice.

Edit notice "existence" used to be derived on the page having no wikitext (which necessitated VisualEditor to do visual text extraction).

MediaWiki core now parses the edit notice and if no HTML was produced by the wikitext, the edit notice is not exported. The client-side performance benefit is substantial in the VE loading process. The added server-side processing is not a concern.

This system is the best of both, but does require a small sacrifice from both parties. The software now does additional parsing and extraction. But the template is now required to not output any boilerplate that wouldn't be visible anyway.

Essentially the fix is to either remove the unnecessarily html, or move it to be part of the conditional logic.

Simple cases:

Advanced case of en.wikipedia.org is documented at https://phabricator.wikimedia.org/T91715#1160062.

WTM added a subscriber: WTM.Sep 23 2015, 10:34 AM

Do any of these wikis still have the issue?

rugk added a comment.Mar 25 2016, 10:13 PM

AFAIk, no.

Jdforrester-WMF closed this task as Resolved.Mar 25 2016, 10:32 PM
Jdforrester-WMF claimed this task.

Provisionally marking as closed, then.

Do any of these wikis still have the issue?

I still see this on ptwiki, because I use CSS like this to hide the notices:

[id*="editnotice-"]{
    display: none !important;
}

You should probably consider this bug expected behaviour in your case then @He7d3r .

Yeah. That is, unfortunately, explicitly not supported since T87412 (and that's the entire reason for this bug).